Name:           sigrok-cli
Version:        r554.f44dd91
Epoch:          100
Release:        nightly%{?dist}
Summary:        Basic hardware access drivers for logic analyzers
License:        GPLv3+
URL:            http://www.sigrok.org

Source0:        %{name}-%{version}.tar.gz

BuildRequires:  automake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(libsigrok)
BuildRequires:  pkgconfig(libsigrokdecode)

%description
%{name} is a command-line tool written in C, which uses both libsigrok and
libsigrokdecode to provide the basic sigrok functionality from the
command-line. Among other things, it's useful for scripting purposes.


%prep
%setup -q


%build
./autogen.sh
%configure
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -exec rm -f {} ';'


%files
%license COPYING
%doc NEWS README
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%exclude %{_datadir}/applications/org.sigrok.%{name}.desktop
%exclude %{_datadir}/icons/*/*/*/%{name}.svg


%changelog
* Thu May 13 2021 Aimylios <aimylios@xxx.xx>
- Drop "--disable-static" argument from %%configure in alignment with upstream

* Tue Feb 16 2021 Aimylios <aimylios@xxx.xx>
- Correctly package license and documentation
- Add new dependencies

* Sun Aug 5 2018 Aimylios <aimylios@xxx.xx>
- Initial release based on 0.7.0-5.fc29
